function OnWarpEnter() 
	SetMarker("cs\\Warp_0017.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0020.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0014.wp" , 0 , 0) 
	StartAnimation ("cian")


--------------------------------------------------------------------------- balcon
	StartAnimationPart("cxa1", 1, 2, -1, false)
---------------------------------------------------------------------------

--DAY3
	if ETAT_DAY == "D3" then 
		if not DESK_COVER_MOVED then
			-- couvercle coffre
			AnimationSetToStart("cpa1",false)
			AnimationSetToStart("cba1",false)
		else
			AnimationSetToEnd("cba1",false)
			if not COFFRET_OPENED  then
				-- couvercle coffre
				AnimationSetToStart("cpa1",false)
				if not NOTE_TAKEN_0017_D3 then
					PutObject("cja1",true)
				end
			else
				-- couvercle coffre
				StartAnimationPart("cpa1",14,15,-1,false)
			end
		end

	end 

--DAY4
	if ETAT_DAY == "D4" then 
	   SetMarker("cs\\Warp_0021.wp" , 0 , 0) 
		if not DESK_COVER_MOVED then
			-- couvercle coffre
			AnimationSetToStart("cpa1",false)
			StartAnimationPart("cba1",1,2,-1,false)
		else
			AnimationSetToEnd("cba1",false)
			if not COFFRET_OPENED  then
				-- couvercle coffre
				AnimationSetToStart("cpa1",false)
				if not NOTE_TAKEN_0017_D3 then
					PutObject("cja1",true)
				end
			else
				-- couvercle coffre
				StartAnimationPart("cpa1",14,15,-1,false)
			end
		end
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0017.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0020.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0014.wp" then 
		ChangeWarp(objectName)
	end
end
